#!/usr/bin/env python3
import os

"""
Places & Files indicator
Copyright (C) 2016  Jacob Vlijm
contact: vlijm@planet.nl
This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or any later version. This
program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
A PARTICULAR PURPOSE. See the GNU General Public License for more details. You
should have received a copy of the GNU General Public License along with this
program.  If not, see <http://www.gnu.org/licenses/>.
"""

home = os.environ["HOME"]
configdir = os.path.join(home, ".config")
autostart = os.path.join(configdir, "autostart")
dr = configdir+"/placesfiles"

for path in [configdir, dr, autostart]:
    try:
        os.mkdir(path)
    except FileExistsError:
        pass

def read_settings():
    defaults = {
        "showlabel": True,
        "showhome": True,
        "showdefaults": True,
        "showbookmarks": True,
        "shownetwork": True,
        "showcomputer": True,
        "showrecent": True,
        "launchonstartup": False,
        "shortnames": True,
        "number": 10,
        }

    for key in defaults:
        try:
            val = open(os.path.join(dr, key)).read().strip()
        except FileNotFoundError:
            pass
        else:
            if val == "True":
                defaults[key] = True
            elif val == "False":
                defaults[key] = False
            else:
                try:
                    defaults[key] = int(val)
                except ValueError:
                    pass
    return defaults

def write_settings(setting, value):
    target = os.path.join(dr, setting)
    open(target, "wt").write(value)

def ordered():
    curr = read_settings()
    sett = [[key, curr[key]] for key in read_settings()]
    sett.sort(key=lambda x: x[0])
    return sett

def get_recentservers():
    pass

def get_recentdownloads():
##    dldir = os.path.join(home, 
    pass






















